<?php

/**
 * @package Elk PWA
 *
 * @author badmonkey
 * @copyright 2020
 * @license BSD 3-clause
 *
 * @version 1.0.2
 */

if (!defined('ELK'))
{
	die('No access...');
}

function head_links() {

  global $boardurl, $context;

  $theme_color = "#008000";
  $ios_title = $context['forum_name_html_safe'];;
  $description = "An elkarte forum app";

echo "
<head>
<meta http-equiv=\"Content-Security-Policy\" content=\"upgrade-insecure-requests\"> 
<link rel=\"manifest\" href=\"$boardurl/manifest.json\">
<meta name=\"theme-color\" content=\"$theme_color\">
<meta http-equiv=\"Content-Type\" content=\"application/x-web-app-manifest+json\"/>
<meta name=\"apple-mobile-web-app-capable\" content=\"yes\">
<meta name=\"apple-mobile-web-app-status-bar-style\" content=\"$theme_color\">
<meta name=\"apple-mobile-web-app-title\" content=\"$ios_title\">
<meta name=\"description\" content=\"$description\">
<link rel=\"apple-touch-icon\" href=\"/elk_pwa/144.png\">


<script>
if('serviceWorker' in navigator) {
  navigator.serviceWorker
           .register('/sw.js')
           .then(function() { console.log(\"Service Worker Registered\"); });
}

</script>
</head>";

}

head_links();