<?php

/**
 * This file is a simplified json creator. It does what it is supposed to.
 */

// If we have found SSI.php and we are outside of ELK, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('ELK')) 
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as ElkArte\'s SSI.php.');

global $modSettings, $context;

$elk_forum_name = $context['forum_name_html_safe'];

$mani_input = "{
\"version\": \"1.0.2\",
\"short_name\": \"$elk_forum_name\",
\"name\": \"$elk_forum_name\",
\"description\": \"$elk_forum_name progressive web application\",
\"icons\": [
{
\"src\": \"/elk_pwa/48.png\",
\"type\": \"image/png\",
\"sizes\": \"48x48\"
},
{
\"src\": \"/elk_pwa/96.png\",
\"type\": \"image/png\",
\"sizes\": \"96x96\"
}, 
{
\"src\": \"/elk_pwa/144.png\",
\"type\": \"image/png\",
\"sizes\": \"144x144\"
}, 
{
\"src\": \"/elk_pwa/192.png\",
\"type\": \"image/png\",
\"sizes\": \"192x192\"
}
],
\"start_url\": \"/index.php\",
\"display\": \"standalone\",
\"theme_color\": \"#02c2ad\",
\"background_color\": \"#000000\"
}";

  $fp = fopen('manifest.json', 'w');
  file_put_contents('manifest.txt', stripslashes($mani_input));
fclose($fp);
rename("manifest.txt", "manifest.json");

if (ELK === 'SSI')
   echo 'Manifest file created. Congratulations! You have successfully installed this modification!';